﻿
@{
    ViewBag.Title = "IngresarProducto";
}

<script>
    var urlListarProductos = '@Url.Action("ListarTodosLosProductos", "Productos")';
    var urlListarCategorias = '@Url.Action("ListarCategorias", "Categorias")';
    var urlIngresarProducto = '@Url.Action("IngresarProducto", "Productos")';
    var listarVentas = false;
    var listarProductos = true;
</script>

<section id="portfolio">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center">
                <h2>Ingresar Producto</h2>
                <hr class="star-primary">
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <label for="nombreProducto" style="margin-top:5px">Nombre Producto: </label>
                <input id="nombreProducto" class="form-control" style="margin-left:5px" />
            </div>
            <div class="col-md-3">
                <label for="autocompleteProveedor" style="margin-top:5px">Proveedor: </label>
                <input class="autocomplete-with-hidden form-control ui-autocomplete-input" id="autocompleteProveedor" required="required" type="text" value="" data-url="@Url.Action("AutocompletadorProveedores", "Proveedores")" autocomplete="off" placeholder="Razón social del proveedor." style="max-width:98%">
                <input class="form-control" id="idProveedor" style="display:none;" />
            </div>
            <div class="col-md-3">
                <label for="selectCategoria" style="margin-top:5px">Nombre Producto: </label>
                <select class="form-control" id="selectCategoria"></select>
            </div>
            <div class="col-md-3">
                <label for="cantidadProducto" style="margin-top:5px">Unidades: </label>
                <input id="cantidadProducto" class="form-control" type="number" style="margin-left:5px" />
            </div>
            <div class="col-md-3" style="padding-top:10px">
                <label for="precioCompra" style="margin-top:5px">Precio De Compra: </label>
                <input id="precioCompra" class="form-control" type="number" style="margin-left:5px" />
            </div>
            <div class="col-md-3" style="padding-top:10px">
                <label for="iva" style="margin-top:5px">IVA: </label>
                <input id="iva" class="form-control" type="number" style="margin-left:5px" />
            </div>
            <div class="col-md-3" style="padding-top:10px">
                <label for="precioVenta" style="margin-top:5px">Precio De Venta: </label>
                <input id="precioVenta" class="form-control" type="number" style="margin-left:5px" />
            </div>
            <div class="col-md-3" style="padding-top: 29px;width: auto;padding-left: 50px;">
                <button type="button" class="btn btn-default pull-right btn-lg" onclick="IngresarProducto()">
                    <i class="fa fa-plus-circle"></i> Ingresar Producto
                </button>
            </div>
        </div>
        <div class="row" style="margin-top: 30px">
            <div class="col-lg-12 text-center">
                <h2>Listado Productos</h2>
                <hr class="star-primary">
            </div>
        </div>
        <div class="row">
            <table class="table table-striped" id="tablaProductos" style="width:100%">
                <thead>
                    <tr>
                        <th style="text-align: center;">NOMBRE</th>
                        <th style="text-align: center;">PROVEEDOR</th>
                        <th style="text-align: center;">CANTIDAD DISPONIBLE</th>
                        <th style="text-align: center;">CATEGORIA</th>
                        <th style="text-align: center;">PRECIO DE COMPRA</th>
                        <th style="text-align: center;">IVA</th>
                        <th style="text-align: center">PRECIO DE VENTA</th>
                    </tr>
                </thead>
                <tbody id=""></tbody>
            </table>
        </div>

    </div>
</section>

